%define zopedir         %{_libdir}/zope
%define zopebindir      %{zopedir}/bin
%define zopeproductsdir %{zopedir}/lib/python/Products
%define phpcgi		%{zopedir}/bin/php
%define productname 	PHParser 
%define productver  	1.1.1

%define	__find		/usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: PHParser/PHPGateway - Bridging the gap between Zope and PHP world!
Version:            %{productver} 
Release:            1ied02
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
Requires:           zope-phpcgi
License:            GPL
URL:                http://zope.org/Members/hewei/PHParser
Source:             http://zope.org/Members/hewei/PHParser/%{productver}/%{productname}-1.1.0.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
BuildRequires:	    sed

Patch0:		    PHParser-1.1.0-to-1.1.1.patch

#----------------------------------------------------------------------
%description
PHParser/PHPGateway aims to combine Zope and PHP together. It provides you a possibility to run PHP scripts under Zope and Plone.

PHParser is a DTML-Document-like object. Its content when being published is first rendered by the DTML engine and then passed to PHP CGI. The result from PHP CGI will be finally displayed.

PHPGateway is a Folder-like object. When its docroot property is pointed to a real directory in the file system, the entire directory can be published by Zope, even as a virtual host. Especially, the .php files under that directory will be directly passed to PHP CGI without DTML rendering. For example, you can now make phpMyAdmin installed in the file system run on Zope only by adding just one PHPGateway object.

#----------------------------------------------------------------------
%prep

%setup -n %{productname}

%patch0 -p1

%{__sed} 's|/var/www/cgi-bin/php|%{phpcgi}|' PHParser.py > PHParser.py.fixed
%{__mv} PHParser.py.fixed PHParser.py

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt README.txt version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Fri Jun 18 2004 Wei He <hewei@ied.org.cn> 1.1.1-1ied02
- product files' ownership changed to root

* Wed Apr 21 2004 Wei He <hewei@ied.org.cn> 1.1.1-1ied00
- PHParser 1.1.1 fixed an unexpected acquisition of PHPGateway.
- now removing *.pyc in {percent}preun section.

* Tue Feb 24 2004 Wei He <hewei@ied.org.cn> 1.1.0-1ied01
- Made buildable on RedHat 8 with sed 3.x

* Mon Feb 16 2004 Wei He <hewei@ied.org.cn> 1.1.0-1ied00
- Initial release
